import subprocess
import glob
import os

list_of_landsat_files = glob.glob('/data/inca_vol1/input_data/local_climate_regulation/input_raw/Surface_ST/*_19*.TIF')
unique_dates = list(set([os.path.basename(file).split('_')[3] for file in list_of_landsat_files]))
for date in unique_dates:
    for product in ['QA','B6']:
        output = f'/data/inca_vol1/input_data/local_climate_regulation/input_raw/Surface_ST/LE07_L2SP_197_{date}_02_T1_ST_{product}.vrt'
        cmd = f"gdalbuildvrt {output} /data/inca_vol1/input_data/local_climate_regulation/input_raw/Surface_ST/LE07_L2SP_19*_{date}_*_02_T1_ST_{product}.TIF"

        if not os.path.exists(output):
            subprocess.check_call(cmd, shell=True)

        #convrt vrt tot tiff
        output = f"/data/inca_vol1/input_data/local_climate_regulation/input_intermediate/Surface_ST/LE07_L2SP_19_{date}_02_T1_ST_{product}.tif"

        cmd = f"gdal_translate /data/inca_vol1/input_data/local_climate_regulation/input_raw/Surface_ST/LE07_L2SP_19_{date}_02_T1_ST_{product}.vrt {output}"
        if not os.path.exists(output):
            subprocess.check_call(cmd, shell=True)